Page MenuHomePhabricator

[OpenCL] Enables passing sampler initializer to function argument
ClosedPublic

Authored by echuraev on Apr 3 2017, 3:18 AM.

Diff Detail

Event Timeline

echuraev created this revision.Apr 3 2017, 3:18 AM
yaxunl added a comment.Apr 3 2017, 7:20 AM

I am not sure if this is going to work. At least you need to add a codegen test for this new usage.

Anastasia added inline comments.Apr 3 2017, 9:52 AM
test/SemaOpenCL/sampler_t.cl
68

I think we could keep just an int value (i.e. 5) as well.

Could we add a case with an error though. To make sure we are testing the diagnostic too.

echuraev updated this revision to Diff 94032.Apr 4 2017, 3:32 AM
echuraev marked an inline comment as done.
yaxunl added a comment.Apr 4 2017, 7:01 AM

LGTM. Thanks.

Anastasia accepted this revision.Apr 4 2017, 8:52 AM

LGTM!

This revision is now accepted and ready to land.Apr 4 2017, 8:52 AM
echuraev closed this revision.Apr 5 2017, 2:15 AM